<?php
	global $themefolder;
	global $siteroot;
	global $version;
	global $build;
	
	require_once($_SERVER['DOCUMENT_ROOT'].'/model/user.php');
	$thisuser = new User($_SESSION['userid']);		
	
	if ($thisuser->id != 0)
	{
		$thisuser->Load();
	}
?><!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title><?php echo $content['title'];?></title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.5 -->
    <link rel="stylesheet" href="/plugins/bootstrap/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="/plugins/font-awesome/css/font-awesome.min.css">
	<!-- Font Awesome -->
    <link rel="stylesheet" href="/css/shared.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="/plugins/ionic/ionic.css">
    <!-- jvectormap -->
    <link rel="stylesheet" href="/plugins/jvectormap/jquery-jvectormap-1.2.2.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="<?php echo $themefolder; ?>/css/AdminLTE.min.css">
	<link rel="stylesheet" href="<?php echo $themefolder; ?>/css/ardi.css">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="<?php echo $themefolder; ?>/css/skins/_all-skins.min.css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
	
	<link rel="apple-touch-icon" sizes="57x57" href="/images/apple-icon-57x57.png">
	<link rel="apple-touch-icon" sizes="60x60" href="/images/apple-icon-60x60.png">
	<link rel="apple-touch-icon" sizes="72x72" href="/images/apple-icon-72x72.png">
	<link rel="apple-touch-icon" sizes="76x76" href="/images/apple-icon-76x76.png">
	<link rel="apple-touch-icon" sizes="114x114" href="/images/apple-icon-114x114.png">
	<link rel="apple-touch-icon" sizes="120x120" href="/images/apple-icon-120x120.png">
	<link rel="apple-touch-icon" sizes="144x144" href="/images/apple-icon-144x144.png">
	<link rel="apple-touch-icon" sizes="152x152" href="/images/apple-icon-152x152.png">
	<link rel="apple-touch-icon" sizes="180x180" href="/images/apple-icon-180x180.png">
	<link rel="icon" type="image/png" sizes="192x192"  href="/images/android-icon-192x192.png">
	<link rel="icon" type="image/png" sizes="32x32" href="/images/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="96x96" href="/images/favicon-96x96.png">
	<link rel="icon" type="image/png" sizes="16x16" href="/images/favicon-16x16.png">
	<meta name="msapplication-TileColor" content="#ffffff">
	<meta name="msapplication-TileImage" content="/images/ms-icon-144x144.png">
	<meta name="theme-color" content="#ffffff">
	
	<?php if (isset($content['head'])) echo $content['head'];?>
  </head>
  <body class="skin-blue sidebar-mini">
    <div class="wrapper">

      <header class="main-header">

        <!-- Logo -->
        <a href="index2.html" class="logo">
          <!-- mini logo for sidebar mini 50x50 pixels -->
          <span class="logo-mini">ARDI</span>
          <!-- logo for regular state and mobile devices -->
          <span class="logo-lg">ARDI</span>
        </a>

        <!-- Header Navbar: style can be found in header.less -->
        <nav class="navbar navbar-static-top" role="navigation">
          <!-- Sidebar toggle button-->
          <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
            <span class="sr-only">Toggle navigation</span>
          </a>
          <!-- Navbar Right Menu -->
          <div class="navbar-custom-menu">
            <ul class="nav navbar-nav">
              <!-- Messages: style can be found in dropdown.less-->
              <li class="dropdown messages-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <i class="fa fa-thumb-tack"></i>
                  <!--<span class="label label-success">4</span>-->
                </a>
                <ul class="dropdown-menu">
                  <li class="header">You have no pinned values</li>
                  <li>
                    <!-- inner menu: contains the actual data -->
                    <!--<ul class="menu">
                      <li>
                        <a href="#">
                          <div class="pull-left">
                            <img src="dist/img/user2-160x160.jpg" class="img-circle" alt="User Image">
                          </div>
                          <h4>
                            Support Team
                            <small><i class="fa fa-clock-o"></i> 5 mins</small>
                          </h4>
                          <p>Why not buy a new awesome theme?</p>
                        </a>
                      </li>
                      </ul>
					  </li>-->
                  <li class="footer"><a href="#">Clear Pins</a></li>
                </ul>
              </li><?php
					global $db;
				
					$query = $db->query('SELECT name,id FROM alerts WHERE state=1');
					$any = false;
					
					$alist = array();
									
					while($row = $query->fetch(PDO::FETCH_ASSOC)) 
					{
						$any = true;
						$n = array();
						$n['name'] = $row['name'];
						$n['id'] = $row['id'];
						$alist[] = $n;
					}
						
					global $license;
					
					if ($license->violated == true)
					{
						$any = true;
						$n = array();
						$n['name'] = "ARDI License Error - Too Many Assets";
						$n['id'] = -1;
						$alist[] = $n;
					}
					
					if ($any == true) $anyalerts = true;?> 
					
              <!-- Notifications: style can be found in dropdown.less -->
              <li class="dropdown notifications-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <i class="fa fa-bell-o"></i>
                  <?php if ($any == true) { ?><span class="label label-warning"><?php echo count($alist); ?></span><?php }; ?>
                </a>
                <ul class="dropdown-menu">
				
                  <li class="header"><?php 
				  if ($any == false) 
						echo 'You have no active alerts';
					else
						echo 'There are '.count($alist).' active alerts';?>
				  </li>
                  <li>
				  <?php 
					if ($any == true) { ?>
                    <!-- inner menu: contains the actual data -->
                    <ul class="menu">
						<?php foreach($alist as $a) { ?>
                      <li>
                        <a href="<?php echo $siteroot; ?><?php if ($a['id'] > 0) { echo '/alert/'.$a['id']; } else { echo '/info/license'; }; ?>">
                          <i class="fa fa-bell-o text-aqua"></i> <?php echo $a['name']; ?>
                        </a>
                      </li>
					  <?php }; ?>
                    </ul>
					<?php }; ?>
                  </li>
                  <li class="footer"><a href="<?php echo $siteroot;?>/alerts">View all</a></li>
                </ul>
              </li>
              <!-- User Account: style can be found in dropdown.less -->			  
<?php		  if ($thisuser->id == 0)
			  {?>
			  <li class="dropdown user user-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  
                  <span class="hidden-xs">Login</span>
                </a>
                <ul class="dropdown-menu">
                  				  			
					  <li class="user-header"> 
						<label>Username</label><br/>
						<input type="text" name="login_username"/><br/><br/>
						<label>Password</label><br/>
						<input type="password" name="login_password"/>
					  </li>
					  
					  
					  <!-- Menu Footer-->
					  <li class="user-footer">		
						<div class="pull-left">
						  <a href="#" class="btn btn-default btn-flat">Cancel</a>
						</div>					  
						<div class="pull-right">
						  <button class="btn btn-default btn-flat">Login to ARDI</button>						  
						</div>
					  </li>					
						
							<!--<table>
								<tr><td><label>Username</label></td><td><input type="text" name="login_username"/>	</td></tr>
								<tr><td><label>Password</label></td><td><input type="password" name="login_password"/></td></tr>
							</table>-->
							
													
												                  
                                    
                </ul>				
              </li>
<?php		  }
			  else
			  {?>
              <li class="dropdown user user-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
				<?php
						$vl = $thisuser->name;
						if (trim($vl) == "") $vl = "Guest";
						//echo $vl;
				?>
                  
                  <span class="hidden-xs"><?php echo $vl; ?></span>
                </a>
                <ul class="dropdown-menu">
                  <!-- User image -->
                  <li class="user-header">                    
                    <p>
                      <?php
						echo $vl;?>
                      <small><?php 
					if (isset($_SESSION['useredit'])) 
						echo 'You are permitted to make changes'; 
					else
					{
						if ($_SESSION['userid'] <= 0)
						{
							echo 'You are using a guest account - many features available to registered users will not be available';
						}
						else
							echo 'You have full read access but are unable to make changes.';
					}?></small>
                    </p>
                  </li> 
                  
                  <!-- Menu Footer-->
                  <li class="user-footer">
				   <?php
				  if ($_SESSION['userid'] > 0) {?>
                    <div class="pull-left">
                      <a href="<?php echo $siteroot;?>/user/settings" class="btn btn-default btn-flat">Settings</a>
                    </div>
				<?php }; ?>
                    <div class="pull-right">
					<?php if ((!isset($_SESSION['userid'])) || ($_SESSION['userid'] <= 0)) {?>
                      <a href="<?php echo $siteroot; ?>/login" class="btn btn-default btn-flat">Login</a>
					  <?php } else { ?>
					   <a href="<?php echo $siteroot; ?>/user/logout" class="btn btn-default btn-flat">Sign Out</a>
					  <?php }; ?>
                    </div>
                  </li>
				  
                </ul>
              </li>
<?php 		  }; ?>
              <!-- Control Sidebar Toggle Button 
              <li>
                <a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>
              </li>-->
            </ul>
          </div>

        </nav>
      </header>
      <!-- Left side column. contains the logo and sidebar -->
      <aside class="main-sidebar">
        <!-- sidebar: style can be found in sidebar.less -->
        <section class="sidebar">
          <!-- Sidebar user panel -->
          
          <!-- search form -->
          <form action="<?php echo $siteroot;?>/views/search" method="get" class="sidebar-form">
            <div class="input-group">
              <input type="text" name="q" class="form-control" placeholder="Search...">
              <span class="input-group-btn">
                <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i></button>
              </span>
            </div>
          </form>
          <!-- /.search form -->
          <!-- sidebar menu: : style can be found in sidebar.less -->
          <ul class="sidebar-menu">
            <li class="header">MAIN NAVIGATION</li>
			<?php 
			global $sitelist;
			//print_r($sitelist);
			if ((isset($sitelist)) && (count($sitelist) > 1))
			{
				global $sitenames;?>
			
			<li class="treeview">
              <a href="<?php $siteroot; ?>/">
                <i class="fa fa-plus-circle"></i>
                <span><?php echo $sitenames;?></span>                
              </a>
              <ul class="treeview-menu">
			  <?php 
			  foreach($sitelist as $k => $v)
			  {
				echo '<li><a href="/s/'.$k.'"><i class="fa fa-circle-o"></i> '.$v['name'].'</a></li>';
			  }?>
                
            		
              </ul>
            </li>
			
			<?php } ?>
            <li class="treeview">
              <a href="<?php echo $siteroot; ?>/">
                <i class="fa fa-search"></i> <span>Find Assets</span>
              </a>
            </li>
            <li class="treeview">
              <a href="#">
                <i class="fa fa-plus-circle"></i>
                <span>Browse</span>                
              </a>
              <ul class="treeview-menu">
                <li><a href="<?php echo $siteroot; ?>/diagram/1/2"><i class="fa fa-circle-o"></i> By Location</a></li>
                <li><a href="<?php echo $siteroot; ?>/diagram/2/2"><i class="fa fa-circle-o"></i> By ISA-95</a></li>  
				<li><a href="<?php echo $siteroot; ?>/diagram/3/3"><i class="fa fa-circle-o"></i> Tags</a></li>				
              </ul>
            </li>  			
<?php if (isset($content['sidebar'])) echo $content['sidebar'];?>	
			<li><a href="<?php echo $siteroot; ?>/alerts"<?php if ((isset($anyalerts)) && ($anyalerts == true)) echo ' style="color: yellow;"'; ?>><i class="fa fa-bell"></i> <span>Alerts</span></a></li> 	
<?php if (CheckAdmin()) { ?>	
			<li><a href="<?php echo $siteroot; ?>/tools"><i class="fa fa-wrench"></i> <span>Tools</span></a>
				<ul class="treeview-menu">
					<li><a href="<?php echo $siteroot; ?>/tools/import"><i class="fa fa-circle-o"></i> Import Tools</a></li>
				</ul>
			</li>		
			<li><a href="<?php echo $siteroot; ?>/admin"><i class="fa fa-wrench"></i> <span>Administration</span></a></li> 	
<?php }; ?>
<?php 
	  global $installfolder;
	  if (file_exists($installfolder.'/docs')) { ?>
            <li><a href="/docs"><i class="fa fa-book"></i> <span>Documentation</span></a></li>      
<?php }; ?>			
          </ul>
        </section>
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->		
    
        <?php echo $content['']; ?>
      </div><!-- /.content-wrapper -->

      <footer class="main-footer">
        <div class="pull-right hidden-xs">
          <b>Version</b> <?php echo $version; ?> - Build <a href="<?php echo $siteroot;?>/info/version"><?php echo $build; ?></a>
        </div>
        <strong>Copyright &copy; 2014-2015 <a href="http://www.optrix.com.au">Optrix Pty. Ltd.</a>.</strong> All rights reserved.
      </footer>

    </div><!-- ./wrapper -->

    <!-- jQuery 2.1.4 -->
    <script src="/plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 3.3.5 -->
    <script src="/plugins/bootstrap/js/bootstrap.min.js"></script>
    <!-- FastClick -->
    <script src="/plugins/fastclick/fastclick.min.js"></script>
    <!-- AdminLTE App -->
    <script src="<?php echo $themefolder; ?>/js/app.min.js"></script>
    <!-- Sparkline -->
    <script src="/plugins/sparkline/jquery.sparkline.min.js"></script>
    <!-- jvectormap -->
    <script src="/plugins/jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
    <script src="/plugins/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
    <!-- SlimScroll 1.3.0 -->
    <script src="/plugins/slimScroll/jquery.slimscroll.min.js"></script>
    <!-- ChartJS 1.0.1 -->
    <script src="/plugins/chartjs/Chart.min.js"></script>
    <!-- AdminLTE dashboard demo (This is only for demo purposes) -->   

	<?php if (isset($content['addscripts'])) echo $content['addscripts']; ?>
	
	<script>
		$(function() {
			<?php if (isset($content['onload'])) echo $content['onload']; ?>
		});
	</script>
    
  </body>
</html>
