var connection;

function Subscription(type)
{
	this.code = "";
	this.func = "";
}

function ARDIHMI(type)
{
	this.connected = false;
	this.servername = "";
	this.dataport = 8079;
	this.subscriptions = [];
	
	this.Subscribe = function(code, func) {
		var ob = new Subscription();
		ob.code = code;
		ob.func = func;
		this.subscriptions.push(ob);
		
		if (code == "Connected") return;
		
		if (this.codelist.indexOf(code) == -1)
		{
			this.codelist.push(code);
		}
	}
	
	this.DataUpdate = function(name, value) {
		var x=0;
		for(x=0;x<this.subscriptions.length;x++)
		{
			if (name == this.subscriptions[x].code)
			{
				//alert('Calling Function!');
				this.subscriptions[x].func(value);
			}
		}
		//alert('Data Updated: ' + name + ' = ' + value);
	}
	
	this.Update = function () {
		var addr = this.servername + ":" + this.dataport;
		context = this
		var ajax = new XMLHttpRequest();
		ajax.open("POST","http://" + addr + "/update?format=json",true);
		ajax.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		ajax.onload = function(e) {
		  //alert(ajax.responseText);
		  obj = JSON.parse(ajax.responseText);
		  context.subscription = obj.id;
		  
		  var x = 0;
		  for(x=0;x<obj.items.length;x++)
		  {
			context.DataUpdate(obj.items[x].code,obj.items[x].value);
		  }
		  
		  //Reset Timer...
		  window.setTimeout(context.Update.bind(context),1000);
		}
		ajax.send("id=" + this.subscription);
	}
	
	this.ConnectData = function () {
		var srvr = this.servername;
		var idx = srvr.indexOf("/");
		if (idx >= 0)
		{
			srvr = srvr.substring(0,idx);
			this.servername = srvr;
		}
		
		var addr = srvr + ":" + this.dataport;
		//alert('Connecting To ' + addr);
		var ajax = new XMLHttpRequest();
		ajax.open("POST","http://" + addr + "/subscribe",true);
		ajax.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		
		
		var codeset = "";
		var v = 0;
		for(v=0;v<this.codelist.length;v++)
		{
			if (codeset != "") codeset += ",";
			codeset += this.codelist[v];
		}
		
		var context = this;
		
		ajax.onload = function(e) {
		  //alert(ajax.responseText);
		  obj = JSON.parse(ajax.responseText);
		  context.subscription = obj.id;
		  
		  var x = 0;
		  for(x=0;x<obj.items.length;x++)
		  {
			context.DataUpdate(obj.items[x].code,obj.items[x].value);
		  }
		  
		  if (context.onConnected != null)
		  {
			context.DataUpdate("Connected","Yes");
			context.onConnected();
		  }
		  
		  //Initialise Timer
		  window.setTimeout(context.Update.bind(context),1000);
		  //window.setTimeout("connection.Update();",1000);
		}
		
		ajax.send("format=json&codes=" + codeset);
	}
	
	this.ConnectTo = function (addr) {
		this.DataUpdate("Connected","No");
		
		context = this;
		
		var ajax = new XMLHttpRequest();
		ajax.open("GET", "http://" + addr + "/api/connect?format=json", true);
		ajax.send();
		ajax.onload = function(e) {
		  //alert(ajax.responseText);
		  obj = JSON.parse(ajax.responseText);
		  var x = 0;
		  for(x=0;x<obj.services.length;x++)
		  {
			if (obj.services[x].name == "data") 
			{
				context.servername = addr;
				if (obj.services[x].hasOwnProperty('host'))
				{
				 	context.servername = obj.services[x].host;
				};
				
				context.dataport = obj.services[x].port;
				
				context.ConnectData();
				return;
			}
		  }
		};

		if (this.onConnected != null)
		{
			this.onConnected();
		}
	}
	
	this.SetCodes = function(codeset) {
		this.codelist = codeset;
	}

	this.codelist = [];
	this.subscription = "";
	this.onConnected = null;
}
